Bug 25479 - X doesn't work in 1024x768 on a laptop (worked fine in 7.0)
X doesn't work in 1024x768 on a laptop (worked fine in 7.0)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Florence RC-1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-01 10:10 EST by Alexander L. Belikoff
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-06 22:48:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
startx output (10.11 KB, text/plain)
2001-02-01 10:11 EST, Alexander L. Belikoff
no flags Details
XF86Config-4 (worked in 7.0, doesn't work anymore) (1.58 KB, text/plain)
2001-02-01 10:12 EST, Alexander L. Belikoff
no flags Details
current XF86Config-4 (1.57 KB, text/plain)
2001-02-05 18:58 EST, Alexander L. Belikoff
no flags Details
startx output (13.77 KB, text/plain)
2001-02-13 23:57 EST, Alexander L. Belikoff
no flags Details
startx log (24bpp) (10.09 KB, text/plain)
2001-03-06 22:48 EST, Alexander L. Belikoff
no flags Details

  None (edit)
Description Alexander L. Belikoff 2001-02-01 10:10:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-3 i686; Nav)


X doesn't start in 1024x768 anymore - with any bpp. It worked
perfectly with 7.0 and now it isn't.

Hardware is Sony Vaio PCG-F590 It's got a Neomagic chipset.

The symptoms are described below. Note, that I tried both a set of
X*Config* files generated by the installation routine, and the ones
generated by XConfigurator AND the ones I used in 7.0 (which did
work).

The server works in any bpp but only with the resolution up to
800x600. It laso has some weird effects in that colors go funky when I
scroll the virtual desktop *horizontally* (vertical scrolling has no
effect).

PS. Now that I think about it - could it be related to the framebuffer. I
performed a default installation in both cases - could it be that beta3
turns fb support on by default?

Reproducible: Always
Steps to Reproduce:
1. Make 1024x768 the first applicable resolution
2. startx

	

Actual Results:  X doesn't start

Expected Results:  Guess :-)

Here are the last meaningful lines from startx output:

(--) NEOMAGIC(0): Virtual size is 1024x768 (pitch 1024)
(**) NEOMAGIC(0): Default mode "1024x768": 65.0 MHz, 48.4 kHz, 60.0 Hz
(**) NEOMAGIC(0): Default mode "640x480": 25.2 MHz, 31.5 kHz, 60.0 Hz
(**) NEOMAGIC(0): Default mode "800x600": 40.0 MHz, 37.9 kHz, 60.3 Hz
(==) NEOMAGIC(0): DPI set to (75, 75)
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
	compiled for 4.0.2, module version = 0.1.0
(==) Depth 24 pixmap format is 32 bpp
(==) NEOMAGIC(0): Write-combining range (0xfc000000,0x400000)
(II) NEOMAGIC(0): Stretching disabled
(II) NEOMAGIC(0): Not programming shadow registers
(II) NEOMAGIC(0): Using linear framebuffer at: 0xFC000000
(--) NEOMAGIC(0): 3932160 bytes off-screen memory available
(II) NEOMAGIC(0): Using H/W Cursor.
(II) NEOMAGIC(0): Acceleration Initialized
(==) NEOMAGIC(0): Backing store disabled
(==) NEOMAGIC(0): Silken mouse enabled
(**) Mouse0: Protocol: "PS/2"
(**) Mouse0: Core Pointer
(==) Mouse0: Buttons: 3
(**) Mouse0: Emulate3Buttons, Emulate3Timeout: 50
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)

Fatal server error:
Caught signal 11.  Server aborting
Comment 1 Alexander L. Belikoff 2001-02-01 10:11:54 EST
Created attachment 8642 [details]
startx output
Comment 2 Alexander L. Belikoff 2001-02-01 10:12:55 EST
Created attachment 8643 [details]
XF86Config-4 (worked in 7.0, doesn't work anymore)
Comment 3 Glen Foster 2001-02-01 14:59:01 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 4 Alexander L. Belikoff 2001-02-05 18:56:26 EST
More on the problem...

1. Now I am able to get it to run in 1024x768 at 24bpp.  This required
specifying:

	Option "sw_cursor"

   for the card info. There is a need for explanation, why Redhat 7.0 didn't
require it.

2. However, both 640x480 and 800x600 modes at 24bpp are screwed up. When pointer
moved horizontally, I observe weird background color changes. To replicate:

1. Create a shell script ~/.Xclients w/ lines:
    xsetroot -solid darkblue
    exec twm

2. Start the X in 1024x768 24bpp

3. Press Alt-Ctrl-+ to switch to an alternative mode. Observe sudden color
change. Move the        pointer horizontally accross the screen border. Observe
color flashes.

PS. I'm attaching my current XF86Config-4.
Comment 5 Alexander L. Belikoff 2001-02-05 18:58:39 EST
Created attachment 9099 [details]
current XF86Config-4
Comment 6 Mike A. Harris 2001-02-11 11:20:19 EST
Can you try the latest version in RAWHIDE and let me know how it works
for you?  There are neomagic updates in the 4.0.2-7 build I think.  If not,
it will be in the next one for sure.
Comment 7 Alexander L. Belikoff 2001-02-13 23:50:00 EST
Just tried the X from rawhide. Same problem. I've also played w/ different
options listed in
neomagic(4) but it didn't help. :-(

One more thing I've noticed is that in 24bpp 1024x768 mode, the KDE default
gradient blue background has very clear "color steps" as opposed to 16bpp, where
it is smooth...

BTW, how do I run XFree-3.x as opposed to XFree-4?

PS. I'm attaching the startx output for the 24bpp 1024x768->800x600->640x480
sequence. While unrelated to the current problem, notice the number of KDE
complaints. This corresponds to the full installations and ideally shouldn't
happen...
Comment 8 Alexander L. Belikoff 2001-02-13 23:57:11 EST
Created attachment 9980 [details]
startx output
Comment 9 Mike A. Harris 2001-03-06 12:12:16 EST
The fix for this is in the latest XFree86 package at:
ftp://people.redhat.com/mharris/xfree86
The 4.0.2-11.4.0 release.

If it doesn't work for you, please provide full details, full logs, etc.
Comment 10 Mike A. Harris 2001-03-06 12:20:01 EST
The fix for this is in the latest XFree86 package at:
ftp://people.redhat.com/mharris/xfree86
The 4.0.2-11.4.0 release.

If it doesn't work for you, please provide full details, full logs, etc.
Comment 11 Alexander L. Belikoff 2001-03-06 22:45:22 EST
Just tried Mike's XFree 4.0.2-11.4.0. To begin with, it breaks Xconfigurator
(when installed over RC2). After selecting a chip (Neomagic), Xconfigurator dies
w/ a message:

    Server doesn't exist, can't continue.
tried to use ../../usr/X11R6/bin/XF86_SVGA

Anyway, I tried to use my save s XF86Config-4. Here are the results:

- works in 1024x768x24 w/no sw_cursor (the latter is on by default now)
- the problem w/ 800x600 etc in 24bpp is STILL there :-(
Comment 12 Alexander L. Belikoff 2001-03-06 22:48:52 EST
Created attachment 11962 [details]
startx log (24bpp)
Comment 13 Preston Brown 2001-03-12 14:20:57 EST
you need to get the new Xconfigurator from rawhide as well, or do

Xconfigurator --preferxf4.

The neomagic chips are now primarily supported by XF4, not XF3.

Note You need to log in before you can comment on or make changes to this bug.